OldFlyboy

Compatibility with P3D v4? Installer error?

Recommended Posts

I re-downloaded the base package today from my previous purchase for FSX . The installer does not show an entry for P3D v4. Is there a free update or must I buy the P3d version? 

Do I just browse to The V4 folder and install?

Sorry to seem a lame brain but I have not seen any announcement from PMDG re. update

Thanks

Neal H

Edited by OldFlyboy
Update confusion

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Hi,

If you try to install a FSX version to P3D v4, it explains why it cannot find the folder by itself.

You need to buy an P3D version.

Share this post


Link to post
Share on other sites
3 hours ago, OldFlyboy said:

I re-downloaded the base package today from my previous purchase for FSX .

That FSX purchase is for FSX, not for P3D. Only the P3D version will recognize and install into P3D.

Share this post


Link to post
Share on other sites

The free update is between the P3D v3 version and the P3D v4 version.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now